Update Own User - Cognigy Documentation
Update Own User
cURL
curl --request PATCH \
--url https://api-trial.cognigy.ai/new/v2.0/users/me \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"oldPassword": "<string>",
"newPassword": "<string>"
}
'```
### Python
```python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/users/me"
payload = {
"name": "<string>",
"oldPassword": "<string>",
"newPassword": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', oldPassword: '<string>', newPassword: '<string>'})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/users/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'oldPassword' => '<string>',
'newPassword' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/users/me"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"oldPassword\": \"<string>\",\n \"newPassword\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.patch("https://api-trial.cognigy.ai/new/v2.0/users/me")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"oldPassword\": \"<string>\",\n \"newPassword\": \"<string>\"}\n")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/v2.0/users/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"oldPassword\": \"<string>\",\n \"newPassword\": \"<string>\"}\n"
response = http.request(request)
puts response.read_body
Possible Response Status Codes
400: Bad Request
401: Unauthorized
402: Payment Required
403: Forbidden
404: Not Found
405: Method Not Allowed
409: Conflict
413: Payload Too Large
500: Internal Server Error
501: Not Implemented
502: Bad Gateway
503: Service Unavailable
504: Gateway Timeout
Authorization
- API Key: Require a valid API Key in the header.
Request Headers
- Accept: Specifies media types acceptable for the response.
Request Body
- name: The name of the user.
- oldPassword: The current password of the user.
- newPassword: The new password to set.